Bug 1260781 - Running ice_setup fails to install calamari-server package because of signing issues
Running ice_setup fails to install calamari-server package because of signing...
Status: CLOSED NOTABUG
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Installer (Show other bugs)
1.3.0
x86_64 Linux
unspecified Severity medium
: rc
: 1.3.1
Assigned To: ceph-eng-bugs
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 13:44 EDT by shylesh
Modified: 2015-11-18 14:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 14:36:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2015-09-07 13:44:10 EDT
Description of problem:
Trying to run ice_setup fails to install calamari-server packages

Version-Release number of selected component (if applicable):
1.3.1 RHEL 7.1

How reproducible:
always

Steps to Reproduce:
Running sudo ice_setup -d /mnt
fails with 


> ==== Step 2: Calamari installation ====
-->
--> installing Calamari...
--> Running command: rpm -q --queryformat=%{NAME}  -p calamari-clients-1.3-2.el7cp.x86_64.rpm calamari-server-1.3-10.el7cp.x86_64.rpm openpgm-5.2.122-3.el7cp.x86_64.rpm python-crypto-2.6.1-1.el7cp.x86_64.rpm python-jinja2-2.7.2-2.el7cp.noarch.rpm python-meld3-0.6.10-1.el7cp.x86_64.rpm python-msgpack-0.4.5-1.el7cp.x86_64.rpm python-zmq-14.3.1-1.el7cp.x86_64.rpm salt-2014.1.5-3.el7cp.noarch.rpm salt-master-2014.1.5-3.el7cp.noarch.rpm salt-minion-2014.1.5-3.el7cp.noarch.rpm sshpass-1.05-5.el7cp.x86_64.rpm supervisor-3.0-2.el7cp.noarch.rpm zeromq3-3.2.5-1.el7cp.x86_64.rpm zeromq3-devel-3.2.5-1.el7cp.x86_64.rpm
--> Running command: yum -y install calamari-clients calamari-server openpgm python-crypto python-jinja2 python-meld3 python-msgpack python-zmq salt salt-master salt-minion sshpass supervisor zeromq3 zeromq3-devel
-->

-->

--> Package calamari-server-1.3-10.el7cp.x86_64.rpm is not signed



--> NonZeroExit: command returned non-zero exit status: 1

 


However running 
sudo ice_setup -d /mnt --no-gpg works fine
Comment 2 Ken Dreyer (Red Hat) 2015-09-08 12:19:33 EDT
This is the expected behavior until release engineering signs all our packages with their gold-signing key (ie we're very close to releasing the final set of packages for 1.3.1)

For now, please continue to use the "--no-gpg" flag to ice_setup while you do your tests.
Comment 3 Ken Dreyer (Red Hat) 2015-09-09 12:21:14 EDT
To clarify: When rel-eng gold-signs our final builds for RHCS 1.3.1, I expect that we will close this as NOTABUG. Until then, please run ice_setup with --no-gpg.
Comment 5 shylesh 2015-11-18 14:36:44 EST
In gold signed 1.3.1 build no issues found related to signing while installing calamari. 

After installing these are the packages found 
[ubuntu@magna006 ceph-config]$ rpm -qa| grep calamari
calamari-clients-1.3-2.el7cp.x86_64
calamari-server-1.3-11.el7cp.x86_64
[ubuntu@magna006 ceph-config]$ rpm -qa| grep ceph-deploy
ceph-deploy-1.5.27.3-1.el7cp.noarch

Note You need to log in before you can comment on or make changes to this bug.